<section id="about">
  <% if (config.description) { %>
    <%- markdown(config.description) %>
  <% } %>
  <% if (theme.social_links) { %>
    <p>
      <%= __('index.find_me_on') %>
      <% var nb_links = Object.keys(theme.social_links).length %>
      <% var i = 0 %>
      <% for(var link in theme.social_links) { %>
        <% if (link == 'mail') { %>
          <a class="icon" target="_blank" rel="noopener" href="<%- theme.social_links[link] %>">
            <i class="fas fa-envelope"></i><!--
      ---></a>
        <% } else if (link == 'rss') { %>
          <a class="icon" target="_blank" rel="noopener" href="<%- theme.social_links[link] %>">
            <i class="fas fa-rss"></i>
          </a>
        <% } else { %>
          <a class="icon" target="_blank" rel="noopener" href="<%- url_for(theme.social_links[link]) %>">
            <i class="fab fa-<%= link %>"></i><!--
      ---></a><!--
    ---><% } %><!--
    ---><%= ( nb_links > 0 && i < nb_links-1 ?
            ( i == nb_links-2 ? ' '+__('index.enum_and')+' '
            : __('index.enum_comma')+' ' )
            : '.' ) %>
        <% i+=1 %>
      <% } %>
    </p>
  <% } %>
</section>

<section id="writing">
  <span class="h1"><a href="<%- url_for("archives") %>"><%= __('index.articles') %></a></span>
  <% if (theme.tags_overview && site.tags.length) { %>
  <span class="h2"><%= __('index.topics') %></span>
  <span class="widget tagcloud">
    <%- tagcloud(theme.tags_overview) %>
  </span>
  <span class="h2"><%= __('index.most_recent') %></span>
  <% } %>
  <ul class="post-list">
    <% var field_sort = theme.posts_overview.sort_updated ? 'updated' : 'date' %>
    <% if (theme.posts_overview.show_all_posts) { %>
      <% var show_posts = page.posts.sort(field_sort, 'desc') %>
    <% } else { %>
      <% var show_posts = site.posts.sort(field_sort, 'desc').limit(theme.posts_overview.post_count || 5) %>
    <% } %>
    <% show_posts.each(function(post, i){ %>
      <li class="post-item">
        <%- partial('_partial/post/date', { post: post, class_name: 'meta' }) %>
        <span><%- partial('_partial/post/title', { post: post, index: true, class_name: '' }) %></span>
        <div><%- partial('_partial/post/content', { post: post, index: true, class_name: '' }) %></div>
      </li>
    <% }); %>
  </ul>
  <% if (theme.posts_overview.show_all_posts) { %>
    <%- partial('_partial/pagination') %>
  <% } %>
</section>

<% if (site.data.projects) { %>
<section id="projects">
  <span class="h1"><a href="<%- url_for(theme.projects_url) %>"><%= __('index.projects') %></a></span>
  <ul class="project-list">
    <% for(var obj in site.data.projects){ %>
      <li class="project-item">
        <a href="<%= site.data.projects[obj].url %>"><%= site.data.projects[obj].name %></a>: <%- markdown(site.data.projects[obj].desc) %>
      </li>
    <% } %>
  </ul>
</section>
<% } %>
